      subroutine trigo3 (cel,t)                                         TRIG001
c ----------------------------------------------------------------------TRIG002
c     This program module is part of the author's X-ray Library         TRIG003
c     and may not be sold or reproduced for commercial purposes.        TRIG004
c     Although it has been tested carefully, there is no warranty       TRIG005
c     regarding accuracy or freedom from side-effects.                  TRIG006
c                   (C) 1986-1994 Bernhard Rupp                         TRIG007
c ----------------------------------------------------------------------TRIG008
c     TRIGO3 multiplies transformation matrix t with cell coordinates   TRIG009
c ----------------------------------------------------------------------TRIG010
      dimension cel(6),t(3,3)                                           TRIG011
                                                                        TRIG012
      t(1,1)=t(1,1)*cel(1)                                              TRIG013
                                                                        TRIG014
      t(1,2)=t(1,2)*cel(2)                                              TRIG015
      t(2,2)=t(2,2)*cel(2)                                              TRIG016
                                                                        TRIG017
      t(1,3)=t(1,3)*cel(3)                                              TRIG018
      t(2,3)=t(2,3)*cel(3)                                              TRIG019
      t(3,3)=t(3,3)*cel(3)                                              TRIG020
                                                                        TRIG021
      return                                                            TRIG022
      end                                                               TRIG023
